View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001758aMuleTransferpublic2015-10-09 10:522015-10-19 19:16
Reporterefferre79 
Assigned ToGonoszTopi 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionno change required 
PlatformLinuxOSOS Version
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001758: amule crashes when adding zipped ipfilter.dat
DescriptionI'm trying to add a zipped ipfilter.dat from http://upd.emule-security.org/ipfilter.zip. [^] In the preference -> security section I have added the above URL and when the download is complete then the application crashes. Restarting the application leads every time to a crash, a workaround is to delete the downloaded ipfilter.dat from the .aMule dir.

Here is the backtrace
gdb> run
Starting program: /usr/bin/amule
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
 2015-10-09 09:32:12: Initialising aMule 2.3.1 compiled with wxGTK2 v2.8.12
 2015-10-09 09:32:12: Checking if there is an instance already running...
 2015-10-09 09:32:12: No other instances are running.
 2015-10-09 09:32:12: ListenSocket: Ok.

(amule:5012): Gtk-CRITICAL **: IA__gtk_container_remove: assertion 'GTK_IS_CONTAINER (container)' failed

(amule:5012): Gtk-CRITICAL **: IA__gtk_container_remove: assertion 'GTK_IS_CONTAINER (container)' failed
 2015-10-09 09:32:13: Loading temp files from /mnt/tmp/aMule/Temp.
[New Thread 0x7fffef1b3700 (LWP 5024)]
 2015-10-09 09:32:13: Loading PartFile 1 of 21
 2015-10-09 09:32:13: Loading PartFile 2 of 21
 2015-10-09 09:32:13: Loading PartFile 3 of 21
 2015-10-09 09:32:13: Loading PartFile 4 of 21
 2015-10-09 09:32:13: Loading PartFile 5 of 21
 2015-10-09 09:32:13: Loading PartFile 6 of 21
 2015-10-09 09:32:13: Loading PartFile 7 of 21
 2015-10-09 09:32:13: Loading PartFile 8 of 21
 2015-10-09 09:32:13: Loading PartFile 9 of 21
 2015-10-09 09:32:13: Loading PartFile 10 of 21
 2015-10-09 09:32:13: Loading PartFile 11 of 21
 2015-10-09 09:32:13: Loading PartFile 12 of 21
 2015-10-09 09:32:13: Loading PartFile 13 of 21
 2015-10-09 09:32:13: Loading PartFile 14 of 21
 2015-10-09 09:32:13: Loading PartFile 15 of 21
 2015-10-09 09:32:13: Loading PartFile 16 of 21
 2015-10-09 09:32:13: Loading PartFile 17 of 21
 2015-10-09 09:32:13: Loading PartFile 18 of 21
 2015-10-09 09:32:13: Loading PartFile 19 of 21
 2015-10-09 09:32:13: Loading PartFile 20 of 21
 2015-10-09 09:32:13: Loading PartFile 21 of 21
 2015-10-09 09:32:13: All PartFiles Loaded.
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/017.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/032.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/031.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/028.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/025.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/023.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/021.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/020.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/019.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/018.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/016.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/015.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/014.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/013.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/012.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/011.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/010.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/009.part.met to shares
 2015-10-09 09:32:13: Adding file /mnt/tmp/aMule/Temp/008.part.met to shares
[xcb] Unknown request in queue while dequeuing
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
amule: /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c:179: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.
[New Thread 0x7fffee9b2700 (LWP 5026)]
[New Thread 0x7fffef9b4700 (LWP 5023)]

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffef1b3700 (LWP 5024)]
_______________________________________________________________________________
     eax:00000000 ebx:F7FA5000 ecx:30434E67 edx:00000006 eflags:00000202
     esi:000013A0 edi:00001394 esp:EF1AE588 ebp:30561D28 eip:Error while running hook_stop:
Value can't be converted to integer.
0x0000003c30434e67 in __GI_raise (sig=sig@entry=0x6) at ../sysdeps/unix/sysv/linux/raise.c:55
55 ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.
gdb> bt
#0 0x0000003c30434e67 in __GI_raise (sig=sig@entry=0x6) at ../sysdeps/unix/sysv/linux/raise.c:55
0000001 0x0000003c304361ca in __GI_abort () at abort.c:89
0000002 0x0000003c3042e066 in __assert_fail_base (fmt=0x3c30561d28 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x37fc4b00d9 "!xcb_xlib_unknown_req_in_deq", file=file@entry=0x37fc4afcd0 "/mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c", line=line@entry=0xb3, function=function@entry=0x37fc4b01d0 <__PRETTY_FUNCTION__.14536> "dequeue_pending_request") at assert.c:92
0000003 0x0000003c3042e112 in __GI___assert_fail (assertion=assertion@entry=0x37fc4b00d9 "!xcb_xlib_unknown_req_in_deq", file=file@entry=0x37fc4afcd0 "/mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c", line=line@entry=0xb3, function=function@entry=0x37fc4b01d0 <__PRETTY_FUNCTION__.14536> "dequeue_pending_request") at assert.c:101
0000004 0x00000037fc44062c in dequeue_pending_request (dpy=dpy@entry=0xc3f060, req=req@entry=0x10874b0) at /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c:177
0000005 0x00000037fc441453 in _XReply (dpy=dpy@entry=0xc3f060, rep=rep@entry=0x7fffef1ae7d0, extra=extra@entry=0x0, discard=discard@entry=0x1) at /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c:639
0000006 0x00000037fc43d20d in XSync (dpy=0xc3f060, discard=discard@entry=0x0) at /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/Sync.c:44
0000007 0x00000037d5057d71 in IA__gdk_flush () at /mnt/tmp/portage/x11-libs/gtk+-2.24.28-r1/work/gtk+-2.24.28/gdk/x11/gdkevents-x11.c:2606
0000008 0x00000037d6de2e7d in wxBusyCursor (cursor=<optimized out>, this=<synthetic pointer>) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/include/wx/utils.h:657
0000009 wxGUIAppTraits::WaitForChild (this=<optimized out>, execData=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/utilsunx.cpp:1292
0000010 0x00000037d5cebd71 in wxExecute (argv=argv@entry=0x7fffef1aed70, flags=flags@entry=0x1, process=process@entry=0x7fffe8014020) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/utilsunx.cpp:673
#11 0x00000037d5cec3fe in wxExecute (command=..., flags=flags@entry=0x1, process=process@entry=0x7fffe8014020) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/utilsunx.cpp:344
0000012 0x00000037d5ce9a72 in wxDoExecuteWithCapture (command=..., output=..., error=error@entry=0x0, flags=flags@entry=0x0) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/utilscmn.cpp:685
0000013 0x00000037d5cea759 in wxExecute (command=..., output=..., flags=flags@entry=0x0) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/utilscmn.cpp:712
0000014 0x00000037d5cd5bd6 in ReadPathFromKDEConfig (request=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1123
0000015 0x00000037d5cdbaab in GetKDEMimeDirs (mimedirs=..., basedirs=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1230
0000016 wxMimeTypesManagerImpl::GetKDEMimeInfo (this=this@entry=0x7fffe8003820, sExtraDir=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1291
0000017 0x00000037d5ce1433 in wxMimeTypesManagerImpl::Initialize (this=this@entry=0x7fffe8003820, mailcapStyles=mailcapStyles@entry=0x4, sExtraDir=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1562
0000018 0x00000037d5ce1664 in wxMimeTypesManagerImpl::InitIfNeeded (this=this@entry=0x7fffe8003820) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1542
0000019 0x00000037d5ce1cf5 in wxMimeTypesManagerImpl::GetFileTypeFromExtension (this=0x7fffe8003820, ext=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:2222
0000020 0x00000037d5ca9c38 in wxMimeTypesManager::GetFileTypeFromExtension (this=0x37d5f562e0 <gs_mimeTypesManager>, ext=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/mimecmn.cpp:614
0000021 0x00000037d5c92270 in wxFileSystemHandler::GetMimeTypeFromExt (this=this@entry=0xcaaae0, location=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/filesys.cpp:112
0000022 0x00000037d5c93e00 in wxLocalFSHandler::OpenFile (this=0xcaaae0, location=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/filesys.cpp:255
0000023 0x00000037d5c92ff8 in wxFileSystem::OpenFile (this=this@entry=0x7fffef1afde8, location=..., flags=flags@entry=0x1) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/filesys.cpp:453
0000024 0x00000037d5c98353 in wxArchiveFSHandler::FindFirst (this=this@entry=0x7fffef1afdd0, spec=..., flags=flags@entry=0x1) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/fs_arc.cpp:441
0000025 0x00000000005c823b in UnpackZipFile (file=..., files=files@entry=0x7fffef1b29d0) at FileFunctions.cpp:138
0000026 0x00000000005c88c5 in UnpackArchive (path=..., files=files@entry=0x7fffef1b29d0) at FileFunctions.cpp:263
0000027 0x00000000004bc9c3 in CIPFilterTask::LoadFromFile (this=this@entry=0xde77d0, file=...) at IPFilter.cpp:298
0000028 0x00000000004bd903 in CIPFilterTask::Entry (this=0xde77d0) at IPFilter.cpp:114
0000029 0x00000000005dead5 in CThreadScheduler::Entry (this=0xdfe280) at ThreadScheduler.cpp:291
0000030 0x00000037d5ce70bb in wxThreadInternal::PthreadStart (thread=0xf42ae0) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/threadpsx.cpp:766
0000031 0x0000003c31008224 in start_thread (arg=0x7fffef1b3700) at pthread_create.c:310
0000032 0x0000003c304e745d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
gdb>
#0 0x0000003c30434e67 in __GI_raise (sig=sig@entry=0x6) at ../sysdeps/unix/sysv/linux/raise.c:55
0000001 0x0000003c304361ca in __GI_abort () at abort.c:89
0000002 0x0000003c3042e066 in __assert_fail_base (fmt=0x3c30561d28 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x37fc4b00d9 "!xcb_xlib_unknown_req_in_deq", file=file@entry=0x37fc4afcd0 "/mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c", line=line@entry=0xb3, function=function@entry=0x37fc4b01d0 <__PRETTY_FUNCTION__.14536> "dequeue_pending_request") at assert.c:92
0000003 0x0000003c3042e112 in __GI___assert_fail (assertion=assertion@entry=0x37fc4b00d9 "!xcb_xlib_unknown_req_in_deq", file=file@entry=0x37fc4afcd0 "/mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c", line=line@entry=0xb3, function=function@entry=0x37fc4b01d0 <__PRETTY_FUNCTION__.14536> "dequeue_pending_request") at assert.c:101
0000004 0x00000037fc44062c in dequeue_pending_request (dpy=dpy@entry=0xc3f060, req=req@entry=0x10874b0) at /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c:177
0000005 0x00000037fc441453 in _XReply (dpy=dpy@entry=0xc3f060, rep=rep@entry=0x7fffef1ae7d0, extra=extra@entry=0x0, discard=discard@entry=0x1) at /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/xcb_io.c:639
0000006 0x00000037fc43d20d in XSync (dpy=0xc3f060, discard=discard@entry=0x0) at /mnt/tmp/portage/x11-libs/libX11-1.6.2/work/libX11-1.6.2/src/Sync.c:44
0000007 0x00000037d5057d71 in IA__gdk_flush () at /mnt/tmp/portage/x11-libs/gtk+-2.24.28-r1/work/gtk+-2.24.28/gdk/x11/gdkevents-x11.c:2606
0000008 0x00000037d6de2e7d in wxBusyCursor (cursor=<optimized out>, this=<synthetic pointer>) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/include/wx/utils.h:657
0000009 wxGUIAppTraits::WaitForChild (this=<optimized out>, execData=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/utilsunx.cpp:1292
0000010 0x00000037d5cebd71 in wxExecute (argv=argv@entry=0x7fffef1aed70, flags=flags@entry=0x1, process=process@entry=0x7fffe8014020) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/utilsunx.cpp:673
#11 0x00000037d5cec3fe in wxExecute (command=..., flags=flags@entry=0x1, process=process@entry=0x7fffe8014020) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/utilsunx.cpp:344
0000012 0x00000037d5ce9a72 in wxDoExecuteWithCapture (command=..., output=..., error=error@entry=0x0, flags=flags@entry=0x0) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/utilscmn.cpp:685
0000013 0x00000037d5cea759 in wxExecute (command=..., output=..., flags=flags@entry=0x0) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/utilscmn.cpp:712
0000014 0x00000037d5cd5bd6 in ReadPathFromKDEConfig (request=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1123
0000015 0x00000037d5cdbaab in GetKDEMimeDirs (mimedirs=..., basedirs=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1230
0000016 wxMimeTypesManagerImpl::GetKDEMimeInfo (this=this@entry=0x7fffe8003820, sExtraDir=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1291
0000017 0x00000037d5ce1433 in wxMimeTypesManagerImpl::Initialize (this=this@entry=0x7fffe8003820, mailcapStyles=mailcapStyles@entry=0x4, sExtraDir=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1562
0000018 0x00000037d5ce1664 in wxMimeTypesManagerImpl::InitIfNeeded (this=this@entry=0x7fffe8003820) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:1542
0000019 0x00000037d5ce1cf5 in wxMimeTypesManagerImpl::GetFileTypeFromExtension (this=0x7fffe8003820, ext=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/mimetype.cpp:2222
0000020 0x00000037d5ca9c38 in wxMimeTypesManager::GetFileTypeFromExtension (this=0x37d5f562e0 <gs_mimeTypesManager>, ext=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/mimecmn.cpp:614
0000021 0x00000037d5c92270 in wxFileSystemHandler::GetMimeTypeFromExt (this=this@entry=0xcaaae0, location=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/filesys.cpp:112
0000022 0x00000037d5c93e00 in wxLocalFSHandler::OpenFile (this=0xcaaae0, location=...) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/filesys.cpp:255
0000023 0x00000037d5c92ff8 in wxFileSystem::OpenFile (this=this@entry=0x7fffef1afde8, location=..., flags=flags@entry=0x1) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/filesys.cpp:453
0000024 0x00000037d5c98353 in wxArchiveFSHandler::FindFirst (this=this@entry=0x7fffef1afdd0, spec=..., flags=flags@entry=0x1) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/common/fs_arc.cpp:441
0000025 0x00000000005c823b in UnpackZipFile (file=..., files=files@entry=0x7fffef1b29d0) at FileFunctions.cpp:138
0000026 0x00000000005c88c5 in UnpackArchive (path=..., files=files@entry=0x7fffef1b29d0) at FileFunctions.cpp:263
0000027 0x00000000004bc9c3 in CIPFilterTask::LoadFromFile (this=this@entry=0xde77d0, file=...) at IPFilter.cpp:298
0000028 0x00000000004bd903 in CIPFilterTask::Entry (this=0xde77d0) at IPFilter.cpp:114
0000029 0x00000000005dead5 in CThreadScheduler::Entry (this=0xdfe280) at ThreadScheduler.cpp:291
0000030 0x00000037d5ce70bb in wxThreadInternal::PthreadStart (thread=0xf42ae0) at /var/lib/virtual_machines/portage/x11-libs/wxGTK-2.8.12.1-r1/work/wxPython-src-2.8.12.1/src/unix/threadpsx.cpp:766
0000031 0x0000003c31008224 in start_thread (arg=0x7fffef1b3700) at pthread_create.c:310
0000032 0x0000003c304e745d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
gdb> continue
Continuing.
[Thread 0x7ffff7f7e940 (LWP 5012) exited]
[Thread 0x7fffee9b2700 (LWP 5026) exited]
[Thread 0x7fffef1b3700 (LWP 5024) exited]

Program terminated with signal SIGABRT, Aborted.
The program no longer exists.
_______________________________________________________________________________
Error while running hook_stop:
No registers.
gdb> quit

Please note the xcb warning, probably something is wrong with the thread management and the GUI.
Steps To Reproduce1) In Preferences -> Security add http://upd.emule-security.org/ipfilter.zip [^] to the "Url" field, then click the "update now" button.
2) The file is downloaded and saved to ipfilter.dat
3) The app crashes
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Filespatch file icon fix-kde.patch [^] (632 bytes) 2015-10-16 13:57 [Show Content]

- Relationships
duplicate of 0001674resolvedsturedman Crash when loading zip ipfilter file 

-  Notes
(0003661)
GonoszTopi (administrator)
2015-10-16 14:01
edited on: 2015-10-16 14:03

The bug seems to affect only wxWidgets-2.8 with KDE as the desktop environment. I've attached a patch that should fix this problem, please test. Also, I'd appreciate if you could test if compiling with wxWidgets-3.0 *without* the patch works.

The bug is caused by wxWidgets trying to set the busy cursor not knowing it's running in a background thread.

(0003662)
efferre79 (reporter)
2015-10-17 16:51

The proposed patch works with wxWidgets-2.8

Then I tried also compiling against wxWidgets-3.0 without the patch, this time after the download is complete I get an error where I can save the following backtrace:

ASSERT INFO:
/var/tmp/portage/x11-libs/wxGTK-3.0.2.0-r1/work/wxPython-src-3.0.2.0/src/unix/sockunix.cpp(143): assert "m_fd != INVALID_SOCKET" failed in OnReadWaiting(): invalid socket ready for reading?

BACKTRACE:
[1] wxOnAssert(char const*, int, char const*, char const*, char const*)
[2] g_main_context_dispatch
[3] g_main_loop_run
[4] gtk_main
[5] wxGUIEventLoop::DoRun()
[6] wxEventLoopBase::Run()
[7] wxAppConsoleBase::MainLoop()
[8] wxEntry(int&, wchar_t**)
[9] main
[10] __libc_start_main
[11] main
(0003663)
GonoszTopi (administrator)
2015-10-17 22:55

Thanks for the info. By the way, are you compiling the 2.3.1 release sources, or a (recent) development version?
(0003664)
efferre79 (reporter)
2015-10-17 23:25

I'm using the 2.3.1 release sources. A comment: it might be useful to support the use of multiple URL sources to load IP filters from :-)
(0003665)
GonoszTopi (administrator)
2015-10-19 08:44

In this case could you please test a recent development version from https://github.com/amule-project/amule [^] ? This bug seems to have been already fixed there (see bug 0001674).

- Issue History
Date Modified Username Field Change
2015-10-09 10:52 efferre79 New Issue
2015-10-16 13:57 GonoszTopi File Added: fix-kde.patch
2015-10-16 14:01 GonoszTopi Note Added: 0003661
2015-10-16 14:01 GonoszTopi Assigned To => GonoszTopi
2015-10-16 14:01 GonoszTopi Status new => feedback
2015-10-16 14:03 GonoszTopi Note Edited: 0003661 View Revisions
2015-10-17 16:51 efferre79 Note Added: 0003662
2015-10-17 16:51 efferre79 Status feedback => assigned
2015-10-17 22:55 GonoszTopi Note Added: 0003663
2015-10-17 23:25 efferre79 Note Added: 0003664
2015-10-19 08:44 GonoszTopi Note Added: 0003665
2015-10-19 08:45 GonoszTopi Relationship added duplicate of 0001674
2015-10-19 08:45 GonoszTopi Status assigned => resolved
2015-10-19 08:45 GonoszTopi Resolution open => fixed
2015-10-19 08:45 GonoszTopi Fixed in Version => 2.3.2
2015-10-19 19:16 GonoszTopi Resolution fixed => no change required


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker